/*
	接口统一管理
*/
const apiurl = {
	// 小程序获取openid
	wxinfo: {
		url: '/member/wechat/appletGetOpenId',
		type: 'get'
	},
	// 授权获取微信手机号
	getMobile: {
		url: '/member/wechat/appletGetMobileV1',
		type: 'get'
	},
	// 小程序openid登录
	login: {
		url: '/member/auth/appletLogin',
		type: 'post'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 个人中心首页
	personalIndex: {
		url: '/system/client/personalIndex',
		type: 'get'
	},
	// 查询登录用户信息
	memberInfo: {
		url: '/member/memberInfo/getMemberInfo',
		type: 'get'
	},
	// 修改用户信息
	updateMemberInfo: {
		url: '/member/memberInfo/update',
		type: 'post'
	},
	// 实名认证
	factorAuth: {
		url: '/member/memberInfo/realAuth',
		type: 'post'
	},
	// 获取协议
	getAgreement: {
		url: '/system/common/getAgreement',
		type: 'get'
	},
	// 首页信息
	clientIndex: {
		url: '/system/client/index',
		type: 'get'
	},
	// 分页查询资讯
	newsList: {
		url: '/system/sysInformation/pageList',
		type: 'get'
	},
	// ID获取资讯详情
	newsdetails: {
		url: '/system/sysInformation/selectById',
		type: 'get'
	},
	// 添加浏览记录
	addReadRecord: {
		url: '/system/browseLog/insertOrUpdate',
		type: 'post',
	},
	// 海报二维码
	performQrcode: {
		url: '/goods/performInfo/posterByPerformId',
		type: 'get'
	},
	// 获取演艺厅列表
	performSell: {
		url: '/goods/performInfo/performSell',
		type: 'get'
	},
	// 获取节目演出时段
	getAuditoriumTimes: {
		url: '/merchant/merchantTheatreAuditorium/selectTimes',
		type: 'get'
	},
	// 获取节目演出时段
	getAuditoriumDate: {
		url: '/merchant/merchantTheatreAuditorium/selectDate',
		type: 'get'
	},
	// 节目详情
	performInfo: {
		url: '/goods/performInfo/selectById',
		type: 'get'
	},
	// 节目演员列表
	actorsList: {
		url: '/goods/performInfo/performerList',
		type: 'get'
	},
	// 节目演员列表
	performerNotice: {
		url: '/goods/performInfo/performerNotice',
		type: 'get'
	},
	// 选择区域
	selectRegion: {
		url: '/merchant/merchantTheatreAuditorium/selectRegion',
		type: 'post'
	},
	// 订单结算信息
	getSettlement: {
		url: '/order/orderInfo/getSettlement',
		type: 'post'
	},
	// 观影人历史列表
	selectMemberAll: {
		url: '/member/memberInfoFamily/selectMemberAll',
		type: 'get'
	},
	// 添加修改观影人
	insertOrUpdateMember: {
		url: '/member/memberInfoFamily/insertOrUpdate',
		type: 'post'
	},
	// 删除观影人
	deleteMember: {
		url: '/member/memberInfoFamily/deleteById',
		type: 'delete'
	},
	// 订单提交
	submitOrder: {
		url: '/order/orderInfo/submit',
		type: 'post'
	},
	// 订单支付
	gotoPay: {
		url: '/order/orderInfo/gotoPay',
		type: 'post'
	},
	// 支付查询
	payQuery: {
		url: '/order/orderInfo/payQuery',
		type: 'post'
	},
	// 订单列表
	orderList: {
		url: '/order/orderInfo/pageList',
		type: 'get'
	},
	// 订单详情
	orderDetails: {
		url: '/order/orderInfo/selectById',
		type: 'get'
	},
	// 查询订单观影人信息
	getViewers: {
		url: '/order/orderInfo/getViewers',
		type: 'get'
	},
	// 提交退款
	refundSubmit: {
		url: '/order/orderInfo/refundSubmit',
		type: 'post'
	},
	// 订单关闭
	cancelOrder: {
		url: '/order/orderInfo/cancel',
		type: 'post'
	},
	// 获取模板列表
	templateIdList: {
		url: '/system/wxTemplateInfo/templateList',
		type: 'get'
	},
	// 团队接口开始
	// 团队账号登录
	teamLogin: {
		url: '/member/auth/teamLogin',
		type: 'post'
	},
	// 首页数据
	teamIndex: {
		url: '/system/client/teamIndex',
		type: 'get'
	},
	// 用户信息
	getInfo: {
		url: '/member/marketTeam/getInfo',
		type: 'get'
	},
	// 二要素认证
	authID: {
		url: '/thirdapi/identity/factorAuth',
		type: 'post'
	},
	// 报名申请
	teamApply: {
		url: '/member/marketTeamApply/teamApply',
		type: 'post'
	},
	// 申请列表
	teamApplyList: {
		url: '/member/marketTeamApply/pageList',
		type: 'get'
	},
	// 申请详情
	teamApplyDetails: {
		url: '/member/marketTeamApply/selectById',
		type: 'get'
	},
	// 申请关闭
	teamApplyClose: {
		url: '/member/marketTeamApply/teamApplyClose',
		type: 'post'
	},
	// 团队账号检测
	teamLoginCheck: {
		url: '/member/auth/teamLoginCheck',
		type: 'get'
	},
	// 密码修改
	updatePassword: {
		url: '/member/marketTeam/updatePwd',
		type: 'post'
	},
	
	
	/**
	 * @author ygh
	 * @date 2023-12-14
	 * 公众号获取openid
	 * 
	 * */
	wxinfoH5: {
		url: '/member/wechat/h5/code/',
		type: 'get',
		addUrl: true
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}